VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL BASEADR(3:0)
        SIGNAL XLXN_651
        SIGNAL F_RS
        SIGNAL F_DS
        SIGNAL F_MOSI
        SIGNAL F_SCK
        SIGNAL F_MISO
        SIGNAL Port0(31:0)
        SIGNAL XLXN_703(31:0)
        SIGNAL Port1(31:0)
        SIGNAL XLXN_710
        SIGNAL Port0(15:0)
        SIGNAL LogicPort(15:0)
        SIGNAL TestLED
        SIGNAL Port1(0)
        SIGNAL LogicPort(17)
        SIGNAL LogicPort(31:0)
        SIGNAL CLK_50MHZ
        SIGNAL LogicPort(16)
        SIGNAL XLXN_714
        SIGNAL XLXN_715
        PORT Input F_RS
        PORT Input F_DS
        PORT Input F_MOSI
        PORT Input F_SCK
        PORT Output F_MISO
        PORT Output TestLED
        PORT Output LogicPort(31:0)
        PORT Input CLK_50MHZ
        BEGIN BLOCKDEF SPI
            TIMESTAMP 2009 2 4 9 53 44
            RECTANGLE N 64 -640 320 0 
            LINE N 64 -608 0 -608 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 320 -608 384 -608 
            RECTANGLE N 320 -300 384 -276 
            LINE N 320 -288 384 -288 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            LINE N 320 -544 384 -544 
            LINE N 320 -480 384 -480 
            LINE N 320 -416 384 -416 
            LINE N 320 -352 384 -352 
        END BLOCKDEF
        BEGIN BLOCKDEF constant
            TIMESTAMP 2006 1 1 10 10 10
            RECTANGLE N 0 0 112 64 
            LINE N 144 32 112 32 
        END BLOCKDEF
        BEGIN BLOCKDEF ibufg
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 SPI
            PIN SYSCLK XLXN_715
            PIN F_DS F_DS
            PIN F_RS F_RS
            PIN F_SCLK F_SCK
            PIN F_MOSI F_MOSI
            PIN D0(31:0) Port0(31:0)
            PIN D1(31:0)
            PIN D2(31:0)
            PIN D3(31:0) XLXN_703(31:0)
            PIN BASEADR(3:0) BASEADR(3:0)
            PIN F_MISO F_MISO
            PIN Q0(31:0) Port0(31:0)
            PIN Q1(31:0) Port1(31:0)
            PIN Q2(31:0)
            PIN Q3(31:0)
            PIN STROBE0 XLXN_710
            PIN STROBE1
            PIN STROBE2
            PIN STROBE3
        END BLOCK
        BEGIN BLOCK XLXI_216 constant
            BEGIN ATTR CValue "0"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O BASEADR(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_275 ibufg
            PIN I CLK_50MHZ
            PIN O XLXN_715
        END BLOCK
        BEGIN BLOCK XLXI_293 constant
            BEGIN ATTR CValue "03022009"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_703(31:0)
        END BLOCK
        BEGIN BLOCK XLXI_287(15:0) buf
            PIN I Port0(15:0)
            PIN O LogicPort(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_186 buf
            PIN I Port1(0)
            PIN O TestLED
        END BLOCK
        BEGIN BLOCK XLXI_294 buf
            PIN I XLXN_710
            PIN O LogicPort(17)
        END BLOCK
        BEGIN BLOCK XLXI_295 buf
            PIN I XLXN_715
            PIN O LogicPort(16)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 704 1264 R0
        END INSTANCE
        BEGIN DISPLAY 1572 1236 TEXT "Strobes high nach SPI-Transfer fuer 2 SYSCLKs"
            FONT 36 "Arial"
            TEXTCOLOR 0 128 0
        END DISPLAY
        BEGIN DISPLAY 1572 1300 TEXT "Daten vor steigender Flanke von Strobes gueltig"
            FONT 36 "Arial"
            TEXTCOLOR 0 128 0
        END DISPLAY
        BEGIN BRANCH BASEADR(3:0)
            WIRE 624 1312 688 1312
            WIRE 688 1232 704 1232
            WIRE 688 1232 688 1312
        END BRANCH
        BEGIN INSTANCE XLXI_216 480 1280 R0
        END INSTANCE
        BEGIN BRANCH F_RS
            WIRE 304 784 704 784
        END BRANCH
        BEGIN BRANCH F_DS
            WIRE 304 720 704 720
        END BRANCH
        BEGIN BRANCH F_MOSI
            WIRE 304 912 704 912
        END BRANCH
        BEGIN BRANCH F_SCK
            WIRE 304 848 704 848
        END BRANCH
        BEGIN BRANCH F_MISO
            WIRE 288 464 1104 464
            WIRE 1104 464 1104 656
            WIRE 1088 656 1104 656
        END BRANCH
        BEGIN BRANCH XLXN_703(31:0)
            WIRE 624 1168 704 1168
        END BRANCH
        BEGIN INSTANCE XLXI_293 480 1136 R0
        END INSTANCE
        BEGIN DISPLAY 136 1164 TEXT "Datum auf SubCh 3"
            FONT 36 "Arial"
            TEXTCOLOR 0 128 0
        END DISPLAY
        BEGIN BRANCH Port0(31:0)
            WIRE 624 544 624 976
            WIRE 624 976 704 976
            WIRE 624 544 1216 544
            WIRE 1216 544 1216 976
            WIRE 1216 976 1280 976
            WIRE 1088 976 1216 976
            BEGIN DISPLAY 1280 976 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Port1(31:0)
            WIRE 1088 1040 1280 1040
            BEGIN DISPLAY 1280 1040 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_287(15:0) 1712 1008 R0
        BEGIN BRANCH Port0(15:0)
            WIRE 1664 976 1712 976
            BEGIN DISPLAY 1664 976 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LogicPort(15:0)
            WIRE 1936 976 1984 976
            BEGIN DISPLAY 1984 976 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TestLED
            WIRE 1936 1088 2384 1088
        END BRANCH
        BEGIN BRANCH Port1(0)
            WIRE 1648 1088 1712 1088
            BEGIN DISPLAY 1648 1088 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_186 1712 1120 R0
        IOMARKER 2384 1088 TestLED R0 28
        BEGIN BRANCH XLXN_710
            WIRE 1088 720 1104 720
            WIRE 1104 720 1712 720
        END BRANCH
        BEGIN BRANCH LogicPort(17)
            WIRE 1936 720 1984 720
            BEGIN DISPLAY 1984 720 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_294 1712 752 R0
        BEGIN BRANCH LogicPort(31:0)
            WIRE 2304 976 2384 976
        END BRANCH
        IOMARKER 2384 976 LogicPort(31:0) R0 28
        BEGIN BRANCH CLK_50MHZ
            WIRE 304 656 368 656
        END BRANCH
        IOMARKER 304 784 F_RS R180 28
        IOMARKER 304 720 F_DS R180 28
        IOMARKER 304 912 F_MOSI R180 28
        IOMARKER 304 848 F_SCK R180 28
        IOMARKER 288 464 F_MISO R180 28
        IOMARKER 304 656 CLK_50MHZ R180 28
        INSTANCE XLXI_275 368 688 R0
        INSTANCE XLXI_295 1712 400 R0
        BEGIN BRANCH LogicPort(16)
            WIRE 1936 368 1984 368
            BEGIN DISPLAY 1984 368 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_715
            WIRE 592 656 656 656
            WIRE 656 656 704 656
            WIRE 656 368 1712 368
            WIRE 656 368 656 656
        END BRANCH
    END SHEET
END SCHEMATIC
